import { ValidationFlowSettings } from '../../djinni-types/sdcLabelInternalModuleUiOverlay.js';
import { g as NativeProxyAdapter, h as NativeProxy, N as NativeProxyHandle } from '../../NativeProxy-BpXwaSl-.js';
import '@scandit/web-datacapture-core/build/js/worker/dataCaptureWorkerRelated';
import '../../sdcLabelInternalModuleCapture-CxPSiq2o.js';
import '../../djinni-types/sdcBarcodeData.js';
import '../../djinni-types/sdcSymbologySettings.js';
import '../../djinni-types/sdcCoreInternalSdkArea.js';
import '../../djinni-types/sdcCoreInternalSdkCommonGeometry.js';
import '../../djinni-types/sdcCoreCommonGraphic.js';
import '../../djinni-types/sdcCoreCommonGeometry.js';
import '../../djinni-types/sdcCoreInternalSdkCommonAsync.js';
import '../../djinni-types/sdcCoreInternalSdkOcr.js';
import '../../djinni-types/sdcCoreCommon.js';
import '../../djinni-types/sdcLabelData.js';
import '../../djinni-types/sdcLabelInternalModuleData.js';
import '../../djinni-types/sdcBarcodeInternalSdkData.js';
import '../../djinni-types/sdcCoreCommonBuffer.js';
import '../../djinni-types/sdcCoreInternalSdkUiViewfinder.js';
import '../../djinni-types/sdcCoreInternalSdkCommonGraphics.js';
import '../../djinni-types/sdcCoreInternalSdkCapture.js';
import '../../djinni-types/sdcCoreInternalSdkUiStyle.js';
import '@scandit/web-datacapture-barcode';
import '@scandit/web-datacapture-core';
import '../../api/AdaptiveRecognitionMode.js';
import '../../api/CapturedLabel.js';
import '../../api/LabelField.js';
import '../../api/LabelFieldState.js';
import '../../api/LabelFieldType.js';
import '../../api/LabelFieldValueType.js';
import '../../api/LabelDateResult.js';
import '@scandit/web-datacapture-core/build/js/private/nativeHandle.js';
import '../../api/LabelCaptureSession.js';
import '../../api/LabelDateFormat.js';
import '../../api/LabelDateComponentFormat.js';
import '../../api/LabelFieldLocationType.js';
import '../../api/ReceiptScanningLineItem.js';
import '../../api/ValidationFlowField.js';

declare class ValidationFlowSettingsProxy extends NativeProxyAdapter<ValidationFlowSettings> implements NativeProxy<ValidationFlowSettings> {
    handle: NativeProxyHandle;
    setMissingFieldsHintText(handle: NativeProxyHandle, text: string): Promise<void>;
    getMissingFieldsHintText(handle: NativeProxyHandle): Promise<string>;
    setStandbyHintText(handle: NativeProxyHandle, text: string): Promise<void>;
    getStandbyHintText(handle: NativeProxyHandle): Promise<string>;
    setValidationHintText(handle: NativeProxyHandle, text: string): Promise<void>;
    getValidationHintText(handle: NativeProxyHandle): Promise<string>;
    setValidationErrorText(handle: NativeProxyHandle, text: string): Promise<void>;
    getValidationErrorText(handle: NativeProxyHandle): Promise<string>;
    setRequiredFieldErrorText(handle: NativeProxyHandle, text: string): Promise<void>;
    getRequiredFieldErrorText(handle: NativeProxyHandle): Promise<string>;
    setManualInputButtonText(handle: NativeProxyHandle, text: string): Promise<void>;
    getManualInputButtonText(handle: NativeProxyHandle): Promise<string>;
    setPlaceholderTextForLabelDefinition(handle: NativeProxyHandle, fieldName: string, placeholder: string | undefined): Promise<void>;
    getPlaceholderTextForLabelDefinition(handle: NativeProxyHandle, fieldName: string): Promise<string | undefined>;
    setValidationFinishButtonText(handle: NativeProxyHandle, text: string): Promise<void>;
    getValidationFinishButtonText(handle: NativeProxyHandle): Promise<string>;
    setValidationRestartButtonText(handle: NativeProxyHandle, text: string): Promise<void>;
    getValidationRestartButtonText(handle: NativeProxyHandle): Promise<string>;
    setValidationPauseButtonText(handle: NativeProxyHandle, text: string): Promise<void>;
    getValidationPauseButtonText(handle: NativeProxyHandle): Promise<string>;
    setValidationAdaptiveScanningText(handle: NativeProxyHandle, text: string): Promise<void>;
    getValidationAdaptiveScanningText(handle: NativeProxyHandle): Promise<string>;
    setValidationScanningText(handle: NativeProxyHandle, text: string): Promise<void>;
    getValidationScanningText(handle: NativeProxyHandle): Promise<string>;
    create(): Promise<NativeProxyHandle>;
}
declare const _default: ValidationFlowSettingsProxy;

export { ValidationFlowSettingsProxy, _default as default };
